unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Mask, HQCreditCheck;

type
  TMainForm = class(TForm)
    CheckBtn: TButton;
    Label1: TLabel;
    CCMaskEdit: TMaskEdit;
    Label2: TLabel;
    CardComboBox: TComboBox;
    Label3: TLabel;
    MComboBox: TComboBox;
    Label4: TLabel;
    YComboBox: TComboBox;
    HQCreditCheck1: THQCreditCheck;
    WhyCheckBox: TCheckBox;
    procedure CheckBtnClick(Sender: TObject);
    procedure CardComboBoxChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure HQCreditCheck1Expired(Sender: TObject);
    procedure HQCreditCheck1InvalidNumber(Sender: TObject);
    procedure HQCreditCheck1InvalidType(Sender: TObject);
    procedure HQCreditCheck1Valid(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.CheckBtnClick(Sender: TObject);
begin

HQCreditCheck1.CardNumber := CCMaskEdit.Text;
HQCreditCheck1.ExprMonth := StrToInt(MComboBox.Text);
HQCreditCheck1.ExprYear := StrToInt(YComboBox.Text);
If (HQCreditCheck1.CheckCreditCard) then
begin
 if not WhyCheckBox.Checked then
    ShowMessage('Credit Card Passed');
end
else
begin
 if not WhyCheckBox.Checked then
    ShowMessage('Credit Card Failed');
end;

end;

procedure TMainForm.CardComboBoxChange(Sender: TObject);
begin

Case CardComboBox.ItemIndex of
0: HQCreditCheck1.CardType := cctVisa;
1: HQCreditCheck1.CardType := cctMastercard;
2: HQCreditCheck1.CardType := cctAmex;
3: HQCreditCheck1.CardType := cctDiscover;
4: HQCreditCheck1.CardType := cctDiners;
end;

end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
MComboBox.ItemIndex := 0;
YComboBox.ItemIndex := 0;
end;

procedure TMainForm.HQCreditCheck1Expired(Sender: TObject);
begin
if (WhyCheckBox.Checked) then
    ShowMessage('Card Expired');
end;

procedure TMainForm.HQCreditCheck1InvalidNumber(Sender: TObject);
begin
if (WhyCheckBox.Checked) then
  ShowMessage('Invalid Card Number');
end;

procedure TMainForm.HQCreditCheck1InvalidType(Sender: TObject);
begin
if (WhyCheckBox.Checked) then
  ShowMessage('Invalid Card Type vs Card Number');
end;

procedure TMainForm.HQCreditCheck1Valid(Sender: TObject);
begin
if (WhyCheckBox.Checked) then
  ShowMessage('Card Valid');
end;

end.
